Package com.independentsoft.office.vml

# Enum Class AlternateTextDirection

java.lang.Object
java.lang.Enum<AlternateTextDirection>
com.independentsoft.office.vml.AlternateTextDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<AlternateTextDirection>`, `Constable`

public enum AlternateTextDirection extends Enum<AlternateTextDirection>
The Enum AlternateTextDirection.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTEXT`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlternateTextDirection`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlternateTextDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTEXT

    public static final AlternateTextDirection CONTEXT

  - ### NONE

    public static final AlternateTextDirection NONE

- ## Method Details

  - ### values

    public static AlternateTextDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlternateTextDirection valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null